#
# spec file for package n00btetris
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define unmangled_version 0.230919-2
Name:           immposiblerush
Version:		0.230919
Release:        2
Summary:    	Color-matching game
License:        GPL
URL:            https://prymula.ct8.pl
Source0:	%{name}-%{unmangled_version}.tar.gz
%if 0%{?suse_version}==1530
BuildRequires:	java-11-openjdk, ant
Requires:       java-11-openjdk
%else
BuildRequires:	java-11-openjdk, ant
Requires:		java-11-openjdk
%endif
BuildArch:	noarch

%description


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
ant compile
ant jar

%install
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/usr/games
mkdir -p %{buildroot}/usr/share
mkdir -p %{buildroot}/usr/share/immposiblerush
mkdir -p %{buildroot}/usr/share/applications

#%make_install

install -m 0644 build/jar/ImmposibleRush.jar %{buildroot}/usr/games
install -m 0644 res/immposiblerush.png %{buildroot}/usr/share/immposiblerush
install -m 0755 ImmposibleRush.desktop %{buildroot}/usr/share/applications

%files
%defattr(0755,root,root)
%{_datadir}/immposiblerush/
/usr/games/
%defattr(0644,root,root)
/usr/games/ImmposibleRush.jar
%{_datadir}/immposiblerush/immposiblerush.png
%{_datadir}/applications/ImmposibleRush.desktop

%changelog

%description
Match the color on the square in such a way that it matches the color of the ball. Control, key 'A' - turn left, key 'D' - turn right.

